{
	"artifacts" : 
	[
		{
			"path" : "PowerModeler.exe"
		},
		{
			"path" : "PowerModeler.pdb"
		}
	],
	"backtrace" : 4,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"add_executable",
			"_qt_internal_create_executable",
			"qt6_add_executable",
			"qt_add_executable",
			"install",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"find_package",
			"find_dependency",
			"_qt_internal_find_qt_dependencies",
			"target_include_directories"
		],
		"files" : 
		[
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Core/Qt6CoreMacros.cmake",
			"CMakeLists.txt",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Gui/Qt6GuiTargets.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Gui/Qt6GuiConfig.cmake",
			"F:/Qt/6.7.2/Tools/CMake_64/share/cmake-3.29/Modules/CMakeFindDependencyMacro.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6/QtPublicDependencyHelpers.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Widgets/Qt6WidgetsDependencies.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Widgets/Qt6WidgetsConfig.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6/Qt6Config.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Core/Qt6CoreTargets.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Core/Qt6CoreConfig.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6EntryPointPrivate/Qt6EntryPointPrivateTargets.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6EntryPointPrivate/Qt6EntryPointPrivateConfig.cmake",
			"F:/Qt/6.7.2/6.7.2/mingw_64/lib/cmake/Qt6Core/Qt6CoreDependencies.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 3,
				"file" : 1,
				"line" : 53,
				"parent" : 0
			},
			{
				"command" : 2,
				"file" : 0,
				"line" : 869,
				"parent" : 1
			},
			{
				"command" : 1,
				"file" : 0,
				"line" : 575,
				"parent" : 2
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 629,
				"parent" : 3
			},
			{
				"command" : 4,
				"file" : 1,
				"line" : 105,
				"parent" : 0
			},
			{
				"command" : 5,
				"file" : 1,
				"line" : 85,
				"parent" : 0
			},
			{
				"command" : 8,
				"file" : 1,
				"line" : 13,
				"parent" : 0
			},
			{
				"file" : 8,
				"parent" : 7
			},
			{
				"command" : 8,
				"file" : 8,
				"line" : 169,
				"parent" : 8
			},
			{
				"file" : 7,
				"parent" : 9
			},
			{
				"command" : 7,
				"file" : 7,
				"line" : 43,
				"parent" : 10
			},
			{
				"file" : 6,
				"parent" : 11
			},
			{
				"command" : 10,
				"file" : 6,
				"line" : 42,
				"parent" : 12
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 13
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 14
			},
			{
				"file" : 3,
				"parent" : 15
			},
			{
				"command" : 7,
				"file" : 3,
				"line" : 55,
				"parent" : 16
			},
			{
				"file" : 2,
				"parent" : 17
			},
			{
				"command" : 6,
				"file" : 2,
				"line" : 61,
				"parent" : 18
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 576,
				"parent" : 2
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 13
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 21
			},
			{
				"file" : 10,
				"parent" : 22
			},
			{
				"command" : 7,
				"file" : 10,
				"line" : 57,
				"parent" : 23
			},
			{
				"file" : 9,
				"parent" : 24
			},
			{
				"command" : 6,
				"file" : 9,
				"line" : 61,
				"parent" : 25
			},
			{
				"command" : 7,
				"file" : 10,
				"line" : 45,
				"parent" : 23
			},
			{
				"file" : 13,
				"parent" : 27
			},
			{
				"command" : 10,
				"file" : 13,
				"line" : 42,
				"parent" : 28
			},
			{
				"command" : 9,
				"file" : 5,
				"line" : 111,
				"parent" : 29
			},
			{
				"command" : 8,
				"file" : 4,
				"line" : 76,
				"parent" : 30
			},
			{
				"file" : 12,
				"parent" : 31
			},
			{
				"command" : 7,
				"file" : 12,
				"line" : 55,
				"parent" : 32
			},
			{
				"file" : 11,
				"parent" : 33
			},
			{
				"command" : 6,
				"file" : 11,
				"line" : 61,
				"parent" : 34
			},
			{
				"command" : 6,
				"file" : 11,
				"line" : 76,
				"parent" : 34
			},
			{
				"command" : 11,
				"file" : 1,
				"line" : 84,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "-g -Og -g -std=gnu++17 -fdiagnostics-color=always"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 20,
					"define" : "MINGW_HAS_SECURE_API=1"
				},
				{
					"backtrace" : 20,
					"define" : "QT_CORE_LIB"
				},
				{
					"backtrace" : 6,
					"define" : "QT_GUI_LIB"
				},
				{
					"backtrace" : 20,
					"define" : "QT_NEEDS_QMAIN"
				},
				{
					"backtrace" : 6,
					"define" : "QT_SQL_LIB"
				},
				{
					"backtrace" : 6,
					"define" : "QT_WIDGETS_LIB"
				},
				{
					"backtrace" : 20,
					"define" : "UNICODE"
				},
				{
					"backtrace" : 20,
					"define" : "WIN32"
				},
				{
					"backtrace" : 20,
					"define" : "WIN64"
				},
				{
					"backtrace" : 20,
					"define" : "_ENABLE_EXTENDED_ALIGNED_STORAGE"
				},
				{
					"backtrace" : 20,
					"define" : "_UNICODE"
				},
				{
					"backtrace" : 20,
					"define" : "_WIN64"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 0,
					"path" : "E:/Code/CL-Softwares/Git/PowerModeler/build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/include"
				},
				{
					"backtrace" : 37,
					"path" : "E:/Code/CL-Softwares/Git/PowerModeler/include"
				},
				{
					"backtrace" : 20,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/include/QtCore"
				},
				{
					"backtrace" : 20,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/include"
				},
				{
					"backtrace" : 20,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/mkspecs/win32-g++"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/include/QtWidgets"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/include/QtGui"
				},
				{
					"backtrace" : 6,
					"isSystem" : true,
					"path" : "F:/Qt/6.7.2/6.7.2/mingw_64/include/QtSql"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					20,
					20
				],
				"standard" : "17"
			},
			"sourceIndexes" : 
			[
				0,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				30
			]
		}
	],
	"dependencies" : 
	[
		{
			"backtrace" : 0,
			"id" : "PowerModeler_autogen::@6890427a1f51a3e7e1df"
		},
		{
			"id" : "PowerModeler_autogen_timestamp_deps::@6890427a1f51a3e7e1df"
		}
	],
	"id" : "PowerModeler::@6890427a1f51a3e7e1df",
	"install" : 
	{
		"destinations" : 
		[
			{
				"backtrace" : 5,
				"path" : "bin"
			}
		],
		"prefix" : 
		{
			"path" : "C:/Program Files (x86)/PowerModeler"
		}
	},
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "-g -Og -g",
				"role" : "flags"
			},
			{
				"fragment" : "-mwindows",
				"role" : "flags"
			},
			{
				"backtrace" : 6,
				"fragment" : "F:\\Qt\\6.7.2\\6.7.2\\mingw_64\\lib\\libQt6Widgets.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "F:\\Qt\\6.7.2\\6.7.2\\mingw_64\\lib\\libQt6Gui.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 6,
				"fragment" : "F:\\Qt\\6.7.2\\6.7.2\\mingw_64\\lib\\libQt6Sql.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-ld3d11",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-ldxgi",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-ldxguid",
				"role" : "libraries"
			},
			{
				"backtrace" : 19,
				"fragment" : "-ld3d12",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "F:\\Qt\\6.7.2\\6.7.2\\mingw_64\\lib\\libQt6Core.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 26,
				"fragment" : "-lmpr",
				"role" : "libraries"
			},
			{
				"backtrace" : 26,
				"fragment" : "-luserenv",
				"role" : "libraries"
			},
			{
				"backtrace" : 35,
				"fragment" : "-lmingw32",
				"role" : "libraries"
			},
			{
				"backtrace" : 35,
				"fragment" : "F:\\Qt\\6.7.2\\6.7.2\\mingw_64\\lib\\libQt6EntryPoint.a",
				"role" : "libraries"
			},
			{
				"backtrace" : 36,
				"fragment" : "-lshell32",
				"role" : "libraries"
			},
			{
				"fragment" : "-lkernel32 -luser32 -lgdi32 -lwinspool -lshell32 -lole32 -loleaut32 -luuid -lcomdlg32 -ladvapi32",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "PowerModeler",
	"nameOnDisk" : "PowerModeler.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				11,
				12,
				13,
				14,
				15,
				16,
				17,
				18,
				19,
				20,
				21,
				30
			]
		},
		{
			"name" : "Header Files",
			"sourceIndexes" : 
			[
				1,
				2,
				3,
				4,
				5,
				6,
				7,
				8,
				9,
				10,
				26,
				27,
				28
			]
		},
		{
			"name" : "",
			"sourceIndexes" : 
			[
				22,
				23,
				24,
				25,
				29
			]
		},
		{
			"name" : "CMake Rules",
			"sourceIndexes" : 
			[
				31,
				32
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/mocs_compilation.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"path" : "include/global.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/mainwindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/dbManager.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/dbBrowser.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/dbStructureNode.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/dbStructureModel.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/dbStructureView.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/connectionDialog.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/messageDialog.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"path" : "include/settings.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/global.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/mainwindow.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/dbManager.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/dbBrowser.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/dbStructureNode.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/dbStructureModel.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/dbStructureView.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/connectionDialog.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/messageDialog.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"compileGroupIndex" : 0,
			"path" : "source/settings.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 4,
			"path" : "ui/mainwindow.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"path" : "ui/connectionDialog.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"path" : "ui/messageDialog.ui",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 4,
			"path" : "resource/PowerModeler.qrc",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/include/ui/ui_mainwindow.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/include/ui/ui_connectionDialog.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/include/ui/ui_messageDialog.h",
			"sourceGroupIndex" : 1
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/timestamp",
			"sourceGroupIndex" : 2
		},
		{
			"backtrace" : 0,
			"compileGroupIndex" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/6WJNPILU4A/qrc_PowerModeler.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/timestamp.rule",
			"sourceGroupIndex" : 3
		},
		{
			"backtrace" : 0,
			"isGenerated" : true,
			"path" : "build/Qt_MinGW_64_bit-Debug/PowerModeler_autogen/6WJNPILU4A/qrc_PowerModeler.cpp.rule",
			"sourceGroupIndex" : 3
		}
	],
	"type" : "EXECUTABLE"
}
